DWARF_ERRNO(3) | Library Functions Manual | DWARF_ERRNO(3)

# NAME

dwarf_errno — retrieve the error number corresponding to a Dwarf_Error instance

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

#include <libdwarf.h>
int
dwarf_errno(Dwarf_Error err);

# DESCRIPTION

Function dwarf_errno() returns the error number associated with a Dwarf_Error instance.
Argument err should be a valid handle to a Dwarf_Error instance.

# RETURN VALUES

Function dwarf_errno() returns an integral value.

# SEE ALSO

dwarf(3), dwarf_errmsg(3)

March 25, 2010 | NetBSD 8.2